<div class="container">

  {% set form = sulu_form_get_by_id(content.reservable.form.id, 'page', id) %}

  <h1>{{ content.title }}</h1>
  {% if content.reservable.priceType == "SINGLE_PAYMENT" %}
    <h3>€ {{ content.reservable.singlePrice|number_format(2) }}</h3>
  {% endif %}

  {% if app.request.get('send') != 'true' %}
    {# FORM THEME #}
    {% if get_spaces_left(content.reservable.id) > 0 %}
    <div class="reservation-form" id="reservationForm">
      {% form_theme form with ['@SuluForm/themes/dynamic.html.twig'] %}
      {{ form_start(form) }}
      <input type="hidden" name="reservable" id="reservableId" value="{{ content.reservable.id }}">
      <input type="hidden" name="form" id="formId" value="{{ content.reservable.form.id }}">
      <input type="hidden"  name="uuid" id="pageId" value="{{ id }}">
      <input type="hidden" name="locale" id="locale" value="{{ app.request.locale }}">
      <input type="hidden" name="webspace" id="webspace" value="{{ request.webspaceKey }}">
      <input type="hidden"  id="spacesLeft" value="{{ get_spaces_left(content.reservable.id) }}">
      <div class="form-group d-block w-100 text-center mt-5" v-if="this.loading">
        <div class="lds-roller">
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
          <div></div>
        </div>
      </div>
      <div class="custom-d-block"  v-show="this.step == 1 && !this.loading">
        <h2>{{ "sulu_reservations.amount_people"|trans }}</h2>
        {% if content.reservable.singleReservation %}
          <div class="alert alert-info">{{ "sulu_reservations.max_people"|trans({'%amount%': content.reservable.limit})| raw }}</div>
        {% else %}
          <div class="alert alert-info">{{ "sulu_reservations.people_left"|trans({'%amount%': get_spaces_left(content.reservable.id)})| raw }}</div>
        {% endif %}
        <div class="amount-people">
          <div class="alert alert-danger" v-if="this.invalidAmount" id="">{{ "sulu_reservations.invalid_amount_people"| trans }}</div>
          <div class="form-group form-item form-width-full form-width-last" v-for="(groupPrice, index) in this.form.groupPrices" >
            <label>{{ "sulu_reservations.amount"| trans }} ${groupPrice.groupName} {% if content.reservable.priceType == "PER_PERSON" %}(€${groupPrice.groupPrice}) {% endif %}:</label>
            <input type="number" min="0" :name="'groupPrices[' + groupPrice.id + ']'" v-model="form.groupPrices[index].amount" class="form-control" @change="calculateTotalVisitors()">
          </div>
          <input type="hidden" name="total" v-model="form.total">
        </div>
        <div class="col-12 text-right">
          <button type="button" @click="nextStep()" class="btn btn-primary pull-right">{{ "sulu_reservations.next"| trans }}</button>
        </div>
      </div>

      <div class="custom-d-block" v-show="this.step == 2 && !this.loading">
        <div class="row">
          <div class="col-md-6">
            <h2>{{ "sulu_reservations.options"| trans }}</h2>
            {% for reservableOption in content.reservable.options %}
              <div class="form-check">
                <input id="option{{ reservableOption.option.title }}" type="checkbox" value="{{ reservableOption.option.id }}" name="options[]" class="form-check-input">
                <label for="option{{ reservableOption.option.title }}" class="form-check-label">{{ reservableOption.option.title }} (€{{ reservableOption.option.price|number_format(2) }})</label>
              </div>
            {% endfor %}
            <div class="row mt-3">
              <div class="col-6 text-left">
                <button type="button" @click="previousStep()" class="btn btn-primary pull-right">{{ "sulu_reservations.previous"| trans }}</button>
              </div>
              <div class="col-6 text-right">
                <button type="button" @click="nextStep()" class="btn btn-primary pull-right">{{ "sulu_reservations.next"| trans }}</button>
              </div>
            </div>
          </div>
          <div class="col-md-6">
            {% if content.reservable.priceType == "PER_PERSON" %}
              {% include('@SuluReservations/includes/dynamic_summary_table.html.twig') %}
            {% else %}
              {% include('@SuluReservations/includes/basic_summary_table.html.twig') %}
            {% endif %}
          </div>
        </div>
      </div>

      <div class="row" v-show="this.step == 3 && !this.loading">
        <div class="col-12">
          <h2 v-show="this.step == 3 && !this.loading" class="mt-2">{{ "sulu_reservations.general_information"| trans }}</h2>
        </div>
        <div class="col-md-6">
          <div class="row">
            {% for fieldName, field in form.children %}
              {% if fieldName != 'submit' %}
                {{ form_row(field) }}
              {% endif %}
            {% endfor %}
          </div>
          <div class="row justify-content-between">
            <div class="col-md-6 px-0">
              <button type="button" @click="previousStep()" class="btn btn-primary">{{ "sulu_reservations.previous"| trans }}</button>
            </div>
            <div class="col-md-6 px-0 text-right">
              {{ form_widget(form.submit) }}
            </div>
          </div>
        </div>
        <div class="col-md-6">
          {% if content.reservable.priceType == "PER_PERSON" %}
            {% include('@SuluReservations/includes/dynamic_summary_table.html.twig') %}
          {% else %}
            {% include('@SuluReservations/includes/basic_summary_table.html.twig') %}
          {% endif %}
        </div>
      </div>
      {{ form_end(form) }}
    </div>
    {% else %}
      <div class="alert alert-danger" role="alert">
        Er is geen plaats meer voor deze periode!
      </div>
    {% endif %}
  {% else %}
    <div class="alert alert-success" id="{{ form.vars.id }}_success">
      {% set successText = content.reservable.form.translations[0].successText %}
      {{ successText|raw }}
    </div>
  {% endif %}
</div>
